Viewing Issue Simple Details Jump to Notes ] Wiki ] View Advanced ] Issue History ] Print ]
ID Category Severity Reproducibility Date Submitted Last Update
0009654 [DCSS] Bug Report minor always 2015-04-19 17:52 2016-01-28 13:38
Reporter Fusha View Status public  
Assigned To wheals
Priority normal Resolution done  
Status resolved   Product Branch 0.17 ancient branch
Summary 0009654: Ally monsters don't trigger teleport traps when climbing stairs
Description Screenshots attached
Additional Information
Tags No tags attached.
Attached Files png file icon 2015-04-19 18_45_06-CRAWL.XTAHUA.COM - PuTTY.png [^] (49,508 bytes) 2015-04-19 17:52


png file icon 2015-04-19 18_45_11-CRAWL.XTAHUA.COM - PuTTY.png [^] (50,014 bytes) 2015-04-19 17:52

- Relationships

-  Notes
(0028927)
neil (administrator)
2015-04-19 21:35

I cannot reproduce this; I tried going both upstairs and down, and in both cases one of my following allies triggered the trap.
(0028964)
golthoon (reporter)
2015-04-23 18:32
edited on: 2015-04-23 18:33

neil, were your allies Flying? I know flying and levitating players no longer avoid traps, but did that change carry over to monsters as well? It might explain why a bone dragon would not trigger the trap.

(0028965)
PleasingFungus (administrator)
2015-04-23 18:41

It did carry over, yes.
(0030057)
zzxc (reporter)
2015-12-22 10:00
edited on: 2015-12-22 10:01

It seems enemy monsters also won't trigger teleport traps.

Version 0.17: http://i.imgur.com/5kjgn1S.png [^]

One thing to note in my instance was that I had not discovered the teleport trap until after going upstairs with the wolf.

(0030132)
ahh (reporter)
2016-01-13 23:14

Should be fixed in pull request 218: https://github.com/crawl/crawl/pull/218 [^]
(0030169)
wheals (administrator)
2016-01-28 13:38

PR was merged; thanks for the help!

- Issue History
Date Modified Username Field Change
2015-04-19 17:52 Fusha New Issue
2015-04-19 17:52 Fusha File Added: 2015-04-19 18_45_06-CRAWL.XTAHUA.COM - PuTTY.png
2015-04-19 17:52 Fusha File Added: 2015-04-19 18_45_11-CRAWL.XTAHUA.COM - PuTTY.png
2015-04-19 21:35 neil Note Added: 0028927
2015-04-23 18:32 golthoon Note Added: 0028964
2015-04-23 18:33 golthoon Note Edited: 0028964
2015-04-23 18:41 PleasingFungus Note Added: 0028965
2015-12-22 10:00 zzxc Note Added: 0030057
2015-12-22 10:01 zzxc Note Edited: 0030057
2016-01-13 23:14 ahh Note Added: 0030132
2016-01-28 13:38 wheals Note Added: 0030169
2016-01-28 13:38 wheals Status new => resolved
2016-01-28 13:38 wheals Fixed in Branch => 0.18 development branch
2016-01-28 13:38 wheals Resolution open => done
2016-01-28 13:38 wheals Assigned To => wheals


Mantis 1.1.8[^]
Copyright © 2000 - 2009 Mantis Group
Powered by Mantis Bugtracker